'
'|========================================================================|
'| ODBC Module Extended Definitions                                       |
'|========================================================================|
'
'  ODBC Extended API's Definitions
'
'  Level 1 Prototypes
'
Declare Function SQLBindParameter Lib "odbc.dll" (ByVal hstmt&, ByVal ipar%, ByVal fParamType%, ByVal fCType%, ByVal fSqlType%, ByVal cbColDef&, ByVal ibScale%, rgbValue As Any, ByVal cbValueMax&, pcbValue As Long) As Integer
Declare Function SQLColumns Lib "odbc.dll" (ByVal hstmt&, ByVal szTblQualifier&, ByVal cbTblQualifier%, ByVal szTblOwner&, ByVal cbTblOwner%, ByVal szTblName&, ByVal cbTblName%, ByVal szColName&, ByVal cbColName%) As Integer
Declare Function SQLDriverConnect Lib "odbc.dll" (ByVal hdbc&, ByVal hwnd%, ByVal szCSIn$, ByVal cbCSIn%, ByVal szCSOut$, ByVal cbCSMax%, cbCSOut%, ByVal fDrvrComp%) As Integer
Declare Function SQLGetConnectOption Lib "odbc.dll" (ByVal hdbc&, ByVal fOption%, pvParam As Any) As Integer
Declare Function SQLGetData Lib "odbc.dll" (ByVal hstmt&, ByVal icol%, ByVal fCType%, ByVal rgbValue As Any, ByVal cbValueMax&, pcbValue&) As Integer
Declare Function SQLGetFunctions Lib "odbc.dll" (ByVal hdbc&, ByVal fFunction%, pfExists%) As Integer
Declare Function SQLGetInfo Lib "odbc.dll" (ByVal hdbc&, ByVal fInfoType%, rgbInfoValue As Any, ByVal cbInfoMax%, cbInfoOut%) As Integer
Declare Function SQLGetStmtOption Lib "odbc.dll" (ByVal hstmt&, ByVal fOption%, pvParam As Any) As Integer
Declare Function SQLGetTypeInfo Lib "odbc.dll" (ByVal hstmt&, ByVal fSqlType%) As Integer
Declare Function SQLParamData Lib "odbc.dll" (ByVal hstmt&, prgbValue As Any) As Integer
Declare Function SQLPutData Lib "odbc.dll" (ByVal hstmt&, rgbValue As Any, ByVal cbValue&) As Integer
Declare Function SQLSetConnectOption Lib "odbc.dll" (ByVal hdbc&, ByVal fOption%, ByVal vParam&) As Integer
Declare Function SQLSetStmtOption Lib "odbc.dll" (ByVal hstmt&, ByVal fOption%, ByVal vParam&) As Integer
Declare Function SQLSpecialColumns Lib "odbc.dll" (ByVal hstmt&, ByVal fColType%, ByVal szTblQualifier&, ByVal cbTblQualifier%, ByVal szTblOwner$, ByVal cbTblOwner%, ByVal szTblName$, ByVal cbTblName%, ByVal fScope%, ByVal fNullable%) As Integer
Declare Function SQLStatistics Lib "odbc.dll" (ByVal hstmt&, ByVal szTblQualifier&, ByVal cbTblQualifier%, ByVal szTblOwner&, ByVal cbTblOwner%, ByVal szTblName&, ByVal cbTblName%, ByVal fUnique%, ByVal fAccuracy%) As Integer
Declare Function SQLTables Lib "odbc.dll" (ByVal hstmt&, ByVal szTblQualifier&, ByVal cbTblQualifier%, ByVal szTblOwner&, ByVal cbTblOwner%, ByVal szTblName&, ByVal cbTblName%, ByVal szTblType&, ByVal cbTblType%) As Integer

'  Level 2 Prototypes
'
Declare Function SQLBrowseConnect Lib "odbc.dll" (ByVal hdbc&, ByVal szConnStrIn$, ByVal cbConnStrIn%, ByVal szConnStrOut$, ByVal cbConnStrOutMax%, pcbConnStrOut%) As Integer
Declare Function SQLColumnPrivileges Lib "odbc.dll" (ByVal hstmt&, ByVal szTQf$, ByVal cbTQf%, ByVal szTOwn$, ByVal cbTOwn%, ByVal szTName$, ByVal cbTName%, ByVal szColName$, ByVal cbColName%) As Integer
Declare Function SQLDrivers Lib "odbc.dll" (ByVal henv&, ByVal fDirection%, ByVal szDriverDesc$, ByVal cbDriverDescMax%, pcbDriverDesc%, ByVal szDriverAttr$, ByVal cbDrvrAttrMax%, pcbDrvrAttr%) As Integer
Declare Function SQLDataSources Lib "odbc.dll" (ByVal henv&, ByVal fDirection%, ByVal szDSN$, ByVal cbDSNMax%, pcbDSN%, ByVal szDescription$, ByVal cbDescriptionMax%, pcbDescription%) As Integer
Declare Function SQLDescribeParam Lib "odbc.dll" (ByVal hstmt&, ByVal ipar%, pfSqlType%, pcbColDef&, pibScale%, pfNullable%) As Integer
Declare Function SQLExtendedFetch Lib "odbc.dll" (ByVal hstmt&, ByVal fFetchType%, ByVal irow&, pcrow&, rgfRowStatus%) As Integer
Declare Function SQLForeignKeys Lib "odbc.dll" (ByVal hstmt&, ByVal PTQual&, ByVal PTQual%, ByVal PTOwnr&, ByVal PTOwnr%, ByVal PTName&, ByVal PTName%, ByVal FTQual&, ByVal FTQf%, ByVal FTOwnr&, ByVal FTOwnr%, ByVal FTName&, ByVal FTName%) As Integer
Declare Function SQLMoreResults Lib "odbc.dll" (ByVal hstmt&) As Integer
Declare Function SQLNativeSql Lib "odbc.dll" (ByVal hdbc&, ByVal szSqlStrIn$, ByVal cbSqlStrIn&, ByVal szSqlStr$, ByVal cbSqlStrMax&, pcbSqlStr&) As Integer
Declare Function SQLNumParams Lib "odbc.dll" (ByVal hstmt&, pcpar%) As Integer
Declare Function SQLParamOptions Lib "odbc.dll" (ByVal hstmt&, ByVal crow%, pirow&) As Integer
Declare Function SQLPrimaryKeys Lib "odbc.dll" (ByVal hstmt&, ByVal szTblQualifier&, ByVal cbTblQualifier%, ByVal szTblOwner&, ByVal cbTblOwner%, ByVal szTblName&, ByVal cbTblName%) As Integer
Declare Function SQLProcedureColumns Lib "odbc.dll" (ByVal hstmt&, ByVal szProcQualifier&, ByVal cbProcQualifier%, ByVal szProcOwner&, ByVal cbProcOwner%, ByVal szProcName&, ByVal cbProcName%, ByVal szColName&, ByVal cbColName%) As Integer
Declare Function SQLProcedures Lib "odbc.dll" (ByVal hstmt&, ByVal szProcQualifier&, ByVal cbProcQualifier%, ByVal szProcOwner&, ByVal cbProcOwner%, ByVal szProcName&, ByVal cbProcName%) As Integer
Declare Function SQLSetPos Lib "odbc.dll" (ByVal hstmt&, ByVal irow%, ByVal fOption%, ByVal fLock%) As Integer
Declare Function SQLSetScrollOptions Lib "odbc.dll" (ByVal hstmt&, ByVal fConcurrency%, ByVal crowKeyset&, ByVal crowRowset%) As Integer
Declare Function SQLTablePrivileges Lib "odbc.dll" (ByVal hstmt&, ByVal szTblQualifier&, ByVal cbTblQualifier%, ByVal szTblOwner&, ByVal cbTblOwner%, ByVal szTblName&, ByVal cbTblName%) As Integer

